Modify

Opened 6 years ago

Closed 6 years ago

#9832 closed defect (fixed)

Copy way tags to multipolygon when using Shift-J

Reported by: Grillo Owned by: team
Priority: normal Milestone: 14.03
Component: Core Version: tested
Keywords: join segment multipolygon Cc:

Description (last modified by skyper)

When joining building segments into a multipolygon building (shift-j), the building= tags (or any other tags) aren't copied to the multipolygon.

As far as I know the tags should be put in the multipolygon and not at the outer way of the building.

Attachments (1)

buildingsegments.osm (32.0 KB) - added by Grillo 6 years ago.
Building segments

Download all attachments as: .zip

Change History (9)

comment:1 Changed 6 years ago by anonymous

Keywords: building multipolygon added

comment:2 Changed 6 years ago by skyper

Owner: changed from team to Grillo
Status: newneedinfo

Could you please add a small sample file to reproduce ?

Some more information is also useful. Would you please add the context from Help > Show Status Report > Report Bug (button on the bottom.

Thanks a lot.

Changed 6 years ago by Grillo

Attachment: buildingsegments.osm added

Building segments

comment:3 Changed 6 years ago by Grillo

Try to join all these segments together. Probably it would work with any segments that would create a multipoly, but I did this on an actual building just so my time would be more well spent :)

This is the result when I join all the segments:

What steps will reproduce the problem?

  1. Create segments that when combined will create a multipoly
  2. Join the segments with shift-j

What is the expected result?
The tags of the building segments will be moved into the multipoly.

What happens instead?
The tags stay on the outer polygon of the multipoly.

Please provide any additional information below. Attach a screenshot if
possible.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-02-27 09:27:48
Last Changed Author: simon04
Revision: 6891
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-02-27 08:25:03 +0100 (Thu, 27 Feb 2014)
Last Changed Rev: 6891

Identification: JOSM/1.5 (6891 sv) Windows 8 64-Bit
Memory Usage: 477 MB / 3641 MB (244 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Xmx4096m]
Dataset consistency test: No problems found

Plugin: AddrInterpolation (30277)
Plugin: FixAddresses (30277)
Plugin: HouseNumberTaggingTool (30277)
Plugin: OpeningHoursEditor (30235)
Plugin: buildings_tools (30277)
Plugin: download_along (30277)
Plugin: imagery_offset_db (30277)
Plugin: imageryadjust (30277)
Plugin: measurement (30277)
Plugin: notes (v0.9.2)
Plugin: photo_geotagging (30277)
Plugin: terracer (30277)
Plugin: turnrestrictions (30307)
Plugin: utilsplugin2 (30277)

comment:4 Changed 6 years ago by skyper

Description: modified (diff)
Keywords: join segment added; building removed
Owner: changed from Grillo to team
Status: needinfonew
Version: tested

Thanks, can reproduce. Did not know that join segments is that smart and creates multipolygons. Nice feature.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-03-18 02:36:30
Last Changed Author: Don-vip
Revision: 6910
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-03-18 00:57:31 +0100 (Tue, 18 Mar 2014)
Last Changed Rev: 6910

Identification: JOSM/1.5 (6910 en) Linux Debian GNU/Linux 7.4 (wheezy)
Memory Usage: 304 MB / 672 MB (174 MB allocated, but free)
Java version: 1.7.0_25, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u25-2.3.10-1~deb7u1
Program arguments: [buildingsegments.osm]
Dataset consistency test: No problems found

Plugin: OpeningHoursEditor (30235)
Plugin: conflation (0.1.6)
Plugin: jts (30277)
Plugin: mirrored_download (30197)
Plugin: notes (v0.9.2)
Plugin: photoadjust (30277)
Plugin: reverter (30319)
Plugin: terracer (30277)
Plugin: todo (29154)
Plugin: undelete (30277)
Plugin: utilsplugin2 (30277)
Plugin: wikipedia (30277)

comment:5 Changed 6 years ago by akks

In 6913/josm:

see #9832: move tags from ways to the multipolygons created by Shift-J

comment:6 Changed 6 years ago by akks

The simple call to tag-mover from Create Multipolygon action is added for all newly created multipolygons.

I leave the ticket open for some time - maybe someone can check the fix and decide what to do if multipolygon already exists (currently it does not take tags from its outer ways).

Last edited 6 years ago by akks (previous) (diff)

comment:7 Changed 6 years ago by Don-vip

Milestone: 14.03

comment:8 Changed 6 years ago by Don-vip

Resolution: fixed
Status: newclosed
Summary: Building multipolygonsCopy way tags to multipolygon when using Shift-J

It's alright for now we'll see in next releases if we must do something else.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.